Message Board
[page: 1 2 3 4 5 6 7 8 ]

RSS 1.0

Last update: March 15, 2018 22:00, JST

Message board of Tete's Atelier.
I look forward to your feedback about my contents.


Writing Message

Message Form

"Message" is required item, but the other items are omitable.

Command:

Notes for Using This Board

The notes for using this message board are as follows.

  1. This message board does not support embedding HTML tags, etc. Even if you use HTML tags, they will be changed to normal text.
  2. Please do not write the contents of corrupting public order and morals. They will be deleted without previous notice. Spam messages will also be deleted.

If you could not write your message for any reason, the reason will be shown on the side of big headline.


Firefox 28.0 私的ビルドですが

Next | Prev | TOC
Name: なぁが
Date: March 19, 2014 16:45
ポータブル化ができないようです…
27.0.1 は問題ありませんでした。

Re: Firefox 28.0 私的ビルドですが

Name: テテ
Date: March 19, 2014 18:10
お知らせくださり、ありがとうございました。
ビルド時に設定ミスをしてしまい、ポータブル化に必要なDLLをリンクし忘れました。:-[
これからビルドし直します。

Re: Firefox 28.0 私的ビルドですが

Name: なぁが
Date: March 20, 2014 15:22
リビルド版、ポータブル化できました。
迅速な対応ありがとうございました。


27.0.1において

Next | Prev | TOC
Name: 名無しのゴン左右衛門
Date: March 9, 2014 10:30
下記エラーが起きます

XML パースエラー: 定義されていない実体が使用されています。
URL: chrome://browser/content/browser.xul
行番号: 240, 列番号: 5: <broadcaster id="devtoolsMenuBroadcaster_DevAppMgr"
----^

Re: 27.0.1において

Name: テテ
Date: March 9, 2014 10:53
エラーの内容をネットで検索してみたら、同じエラーが複数報告されていました。
インストールなさっている拡張機能等の中に、Firefox 27.0.1と互換性の無いものが含まれている可能性があると思います。

以下を試してみることをお勧めいたします。エラーの内容からすると、拡張機能かテーマあたりが怪しいのではないかと思います。

拡張機能とテーマのトラブルシューティング
https://support.mozilla.org/ja/kb/troubleshoot-extensions-themes-to-fix-problems

Re: 27.0.1において

Name: 名無しのゴン左右衛門
Date: March 9, 2014 15:55
ご多忙の中ご返信頂き、ありがとうございました。
safe mode(shiftキー押下)で起動後、日本語パッケージ導入した後、再起動をしたところエラーもなく起動できました。

感謝しております。ありがとうございました。


ポータブル利用でのpluginについて

Next | Prev | TOC
Name: 匿名
Date: February 17, 2014 22:50
私的ビルドのfirefoxをtmemutil.iniにて
[General]
Portable=1
PortableDataPath=PortableData
以上の設定で利用してます。

更にflashなどのpluginも併せてポータブル運用したいのですが、上手くいきません。
以下、pluginをポータブル化を試した際の手順です。

1.about:configにて、
plugins.load_appdir_pluginsをtrueに変更。

2.firefoxのルートディレクトリに
pluginsフォルダを作成し「NPSWF32.dll」を配置

3.firefoxを起動し、
「about:plugins」にて認識されているpluginを確認すると
--------------------
Shockwave Flash
ファイル: NPSWF32.dll
パス:XXXXXX\firefox\plugins\NPSWF32.dll
バージョン: 11.9.900.170
状態: 有効
Shockwave Flash 11.9 r900
-------------------
以上の様に表示されますが、
実際にflashのページを表示させると再生されません。

他に何か設定しなければならない項目や、
必要な手順などあるのでしょうか。

Re: ポータブル利用でのpluginについて

Name: テテ
Date: February 18, 2014 22:28
以下の記事によると、Flash Playerプラグインの保護モード(ProtectedMode)が有効になっている場合、そのような現象が起きるようです。
「Flash Plugin (version >=11.3 NPSWF32.DLL) is freezing and not working with Firefox Portable? Here is the SOLUTION」
http://portableapps.com/node/37978

mms.cfgファイルに ProtectedMode=1 と記述することで、Flashの保護モードを無効にできます。しかし保護モードを無効にするとFlashのセキュリティーが低下する可能性があります。また、mms.cfgは既定では以下の場所にインストールされるので、ポータブル利用の場合はいじれないかもしれないですね。

32ビットWindowsの場合: %WINDIR%\System32\Macromed\Flash
64ビットWindowsの場合: %WINDIR%\SysWow64\Macromed\Flash

Re: ポータブル利用でのpluginについて

Name: アイヴァーン/Ivarn
Date: February 19, 2014 7:05
手元の環境(VMware Player 上のゲスト OS,Portable Firefox 27.0.1,Flash Player 11.9.600.170)での確認ですが,
about:pluginsページで確認できるプラグインのパス:C:\Windows\SysWOW64\Macromed\Flash\NPSWF32_11_9_900_170.dll に
存在するNPSWF32_11_9_900_170.dllを導入しただけではプラグインの情報等は認識されますが,YouTubeで動画の視聴は
行えませんでした。
(表示がされない…)

そのため,同フォルダー(C:\Windows\SysWOW64\Macromed\Flash)に存在する“FlashPlayerPlugin_11_9_900_170.exe”も
あわせてpluginsフォルダーにコピーして確認したところ,問題なくYouTubeのFlash動画は視聴できるようになりました。

想像にすぎませんが,dllファイルはこの“FlashPlayerPlugin_11_9_900_170.exe”へのラッパーのようなものとなって
しまっているのではないでしょうか?
あるいは,Firefoxの“plugin-container”への対処としてそのような形態をとらざるを得なかったのかもしれませんが,
いずれにしてもdllファイルだけでは正常に動作しないように見受けられます。:-[

Re: ポータブル利用でのpluginについて

Name: テテ
Date: February 21, 2014 21:01
アイヴァーンさん、試してくださりありがとうございました。m(_ _)m

当方の環境でも、以下の2つのファイルをpluginsに入れたら、Flashの保護モード(ProtectedMode)を有効にしていてもFlash Playerプラグインが動作しました。:-)
NPSWF32_12_0_0_70.dll
FlashPlayerPlugin_12_0_0_70.exe

Re: ポータブル利用でのpluginについて

Name: 匿名
Date: March 23, 2014 18:48
ポータブルでのflash利用はあきらめていましたが、
exeと一緒に再配置したら動作しました
ありがとうございます


firefox 27 final

Next | Prev | TOC
Name: mauro
Date: February 4, 2014 20:03
ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/27.0/source/

Re: firefox 27 final

Name: Tete
Date: February 4, 2014 23:03
It might take at least few days for me to receive VS2013. I am planning to build Fx27.0 using VC2013.

Re: firefox 27 final

Name: Tete
Date: February 10, 2014 20:21
VC2013 still has not arrived, so I forced VC2005 to build Firefox 27.0.

Re: firefox 27 final

Name: 矢野芳典
Date: February 13, 2014 5:10
いつもありがたく使わせていただいております。
VC2013到着後とのことだったのでしばらく待ちかと思っていたらVC2005版が出てるとはビックリしました。
やっぱりVC2013じゃないと出来ないことや、最適化が進んでいるとかそういう部分があるのでしょうか。

Re: firefox 27 final

Name: テテ
Date: February 13, 2014 17:56
VC2013の発送が遅れていたので、VC2005で何とかFirefox 27.0をビルドしました。
でもFirefox 28.0からは、もはやVC2005でビルドするのは無理だと思います。C++の新しい仕様を使ったコードが増えてますので。

VC2013 Professioalの試用版でもFirefox 27.0のPGOビルドを作ってみましたが、VC2005で作ったPGOビルドと比較すると、良い結果が出ませんでした。
さらに、VC2013で作ったPGOビルドよりも、PGOを適用しないで作ったビルド(-GLは適用)の方が、ベンチマークテストの結果が良かったです。
-GLは無料のVC2013 Expressでも適用可能なので、驚いてます。:-[

Re: firefox 27 final

Name: 矢野芳典
Date: February 14, 2014 3:42
MPC-BEとかFFDSHOWの最適化版がVC2013に移行していたりするから、効率よくなっているのかと思いきや、得手不得手があるのでしょうかね。
確かに動画系だと新たな追加命令に対応すればするほど早くなるでしょうけど。

Re: firefox 27 final

Name: テテ
Date: February 14, 2014 7:27
詳しく調べた訳では無いですけど、PGOを適用しないという条件で比較するなら、最適化能力は上がっているかも知れません。Kraken-1.1ベンチマークテストでは、Firefox 27.0公式ビルド(VS2010 PGO適用)よりも、PGOを適用しないビルド(VS2013、-GLは適用)の方がスコアが少し良かったくらいです。

仰るとおり動画とかの処理では、新しい拡張命令を使えた方が高速化できる可能性が増えると思います。


まもなく・・・?/Coming Soon?

Next | Prev | TOC
Name: アイヴァーン/Ivarn
Date: January 29, 2014 21:29
ftp://ftp.mozilla.org/pub/firefox/candidates/27.0-candidates/build1/
:-[

Re: まもなく・・・?/Coming Soon?

Name: テテ
Date: January 29, 2014 21:34
情報ありがとうございます。m(_ _)m
VC2005ではビルドできそうにないので、新しいVCを買おうかと思ってます。

Re: まもなく・・・?/Coming Soon?

Name: アイヴァーン/Ivarn
Date: January 31, 2014 7:02
おぉ,それは大変です(・。・;

…そういえば,話は変わりますがぷららのブローチ終了でしたよね。

Re: まもなく・・・?/Coming Soon?

Name: テテ
Date: January 31, 2014 17:51
そのようですね。
「Broach(ブログ)サービス終了について」
http://www.plala.or.jp/support/info/2014/0115/

自分はseesaaブログを使ってますけど、最近は放置状態になってます。:-[